## ros-one-qb-device-utils 3.1.2-1jammy.20251023.0011

=== debian/changelog ===
ros-one-qb-device-utils (3.1.2-1jammy.20251023.0011) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Thu, 23 Oct 2025 00:11:15 +0000

ros-one-qb-device-utils (3.1.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-utils (3.1.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-utils (3.1.0-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Jul 2023 00:00:00 -0000

ros-one-qb-device-utils (3.0.6-0jammy) jammy; urgency=high

  * MINOR FIX: Changed the name of the package maintainer

 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-qb-device-utils (3.0.5-0jammy) jammy; urgency=high

  * MINOR FIX: Changed cmake version required in all packages (current version 3.0.2).

 -- qb Support Team <support@qbrobotics.com>  Wed, 07 Sep 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.4-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Mon, 18 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.3-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 15 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Thu, 07 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Wed, 06 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.0-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Tue, 05 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.4-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.3-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.0-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.2.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-device-utils (2.2.0-0jammy) jammy; urgency=high

  * Update license

 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-device-utils (2.1.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Mon, 07 Oct 2019 00:00:00 -0000

ros-one-qb-device-utils (2.1.0-0jammy) jammy; urgency=high

  * Update documentation
  * Fix minor style issues

 -- qb Support Team <support@qbrobotics.com>  Tue, 28 May 2019 00:00:00 -0000

ros-one-qb-device-utils (2.0.3-0jammy) jammy; urgency=high

  * Update license agreement copyright

 -- qb Support Team <support@qbrobotics.com>  Thu, 09 Aug 2018 00:00:00 -0000

ros-one-qb-device-utils (2.0.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Tue, 07 Aug 2018 00:00:00 -0000

ros-one-qb-device-utils (2.0.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 01 Jun 2018 00:00:00 -0000

ros-one-qb-device-utils (2.0.0-0jammy) jammy; urgency=high

  * Add SIGINT and shutdown RPC handlers

 -- qb Support Team <support@qbrobotics.com>  Wed, 30 May 2018 00:00:00 -0000

## ros-one-qb-device-utils 3.1.2-1jammy.20260220.2111

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qb_device_utils VERSION 3.1.2 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    roscpp
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    roscpp
)

# Installation
install(
  DIRECTORY
    include/${PROJECT_NAME}/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-one-qb-device-utils (3.1.2-1jammy.20260220.2111) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Fri, 20 Feb 2026 21:11:30 +0000

=== debian/control ===
Source: ros-one-qb-device-utils
Section: misc
Priority: optional
Maintainer: qb Support Team <support@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roscpp
Homepage: http://wiki.ros.org/qb_device_utils
Standards-Version: 3.9.2

Package: ros-one-qb-device-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-roscpp
Description: This package contains a device-independent utility functions for qbrobotics® devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-qb-device-utils//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-qb-device-utils 3.1.2-1noble.20260220.2116

=== debian/changelog ===
ros-one-qb-device-utils (3.1.2-1noble.20260220.2116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Fri, 20 Feb 2026 21:16:56 +0000

ros-one-qb-device-utils (3.1.2-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-utils (3.1.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-utils (3.1.0-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Jul 2023 00:00:00 -0000

ros-one-qb-device-utils (3.0.6-0noble) noble; urgency=high

  * MINOR FIX: Changed the name of the package maintainer

 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-qb-device-utils (3.0.5-0noble) noble; urgency=high

  * MINOR FIX: Changed cmake version required in all packages (current version 3.0.2).

 -- qb Support Team <support@qbrobotics.com>  Wed, 07 Sep 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.4-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Mon, 18 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.3-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 15 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.2-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Thu, 07 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Wed, 06 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (3.0.0-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Tue, 05 Jul 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.4-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.3-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.2-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.3.0-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-utils (2.2.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-device-utils (2.2.0-0noble) noble; urgency=high

  * Update license

 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-device-utils (2.1.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Mon, 07 Oct 2019 00:00:00 -0000

ros-one-qb-device-utils (2.1.0-0noble) noble; urgency=high

  * Update documentation
  * Fix minor style issues

 -- qb Support Team <support@qbrobotics.com>  Tue, 28 May 2019 00:00:00 -0000

ros-one-qb-device-utils (2.0.3-0noble) noble; urgency=high

  * Update license agreement copyright

 -- qb Support Team <support@qbrobotics.com>  Thu, 09 Aug 2018 00:00:00 -0000

ros-one-qb-device-utils (2.0.2-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Tue, 07 Aug 2018 00:00:00 -0000

ros-one-qb-device-utils (2.0.1-0noble) noble; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 01 Jun 2018 00:00:00 -0000

ros-one-qb-device-utils (2.0.0-0noble) noble; urgency=high

  * Add SIGINT and shutdown RPC handlers

 -- qb Support Team <support@qbrobotics.com>  Wed, 30 May 2018 00:00:00 -0000
